import request from '@/utils/request'

// 查询RC附件列表
export function listRcfile(query) {
  return request({
    url: '/ehs/rcfile/list',
    method: 'get',
    params: query
  })
}

// 查询RC附件详细
export function getRcfile(id) {
  return request({
    url: '/ehs/rcfile/' + id,
    method: 'get'
  })
}

// 新增RC附件
export function addRcfile(data) {
  return request({
    url: '/ehs/rcfile',
    method: 'post',
    data: data
  })
}

// 修改RC附件
export function updateRcfile(data) {
  return request({
    url: '/ehs/rcfile',
    method: 'put',
    data: data
  })
}

// 删除RC附件
export function delRcfile(id) {
  return request({
    url: '/ehs/rcfile/' + id,
    method: 'delete'
  })
}

// 导出RC附件
export function exportRcfile(query) {
  return request({
    url: '/ehs/rcfile/export',
    method: 'get',
    params: query
  })
}
